
namespace WingEducationService.Common
{
    /// <summary>
    /// 直播心跳实体类
    /// </summary>
    internal class LiveHeartRateInfo
    {
        /// <summary>
        /// 登录Token
        /// </summary>
        public string Token { get; set; }

        /// <summary>
        /// 用户or设备编码
        /// </summary>
        public string ClientId { get; set; }

        /// <summary>
        /// 用户or设备名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 项目编码
        /// </summary>
        public string LiveCode { get; set; }

        /// <summary>
        /// 已检查次数，下一个心跳会重置
        /// </summary>
        public int LivingTimes { get; private set; }

        /// <summary>
        /// Reset the living time.
        /// </summary>
        public virtual void Activate()
        {
            LivingTimes = 0;
        }

        /// <summary>
        /// Deactive the session.
        /// </summary>
        public virtual void DeActivate()
        {
            LivingTimes++;
        }
    }
}